
QGIS Application - Bug report #20326

Crash when Quit QGIS

2018-11-02 10:58 AM - Paulo Cardoso

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28147

Description

Crash ID: a3eb9e008e3031d98e71767c90264528b8c82c02

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsFirstRunDialog::trUtf8 :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicated by QGIS Application - Bug report # 20396: Crash by closing Qgis 3.4 Closed 2018-11-07

Duplicated by QGIS Application - Bug report # 20446: QGIS 3.4.1 Crashes on exit Closed 2018-11-11

Duplicated by QGIS Application - Bug report # 20458: QGIS repeatedly crashing Closed 2018-11-12

Duplicated by QGIS Application - Bug report # 20423: CRASH wnhen I close it.... Closed 2018-11-09

Duplicated by QGIS Application - Bug report # 20283: Crash when exiting progr... Reopened 2018-10-30

History

#1 - 2018-11-02 01:04 PM - Giovanni Manghi
- Category changed from GUI to Build/Install

- Status changed from Open to Feedback

I think it has been already solved, can you try a nightly build?

#2 - 2018-11-11 01:56 PM - Jürgen Fischer

- Duplicated by Bug report #20396: Crash by closing Qgis 3.4 added

#3 - 2018-11-11 01:57 PM - Jürgen Fischer

- Duplicated by Bug report #20446: QGIS 3.4.1 Crashes on exit added

#4 - 2018-11-11 01:58 PM - Jürgen Fischer

- Subject changed from Crash qhen Quit QGIS to Crash when Quit QGIS

#5 - 2018-11-12 08:24 PM - Jürgen Fischer

- Duplicated by Bug report #20458: QGIS repeatedly crashing added

#6 - 2018-11-12 08:30 PM - Jürgen Fischer

- Duplicated by Bug report #20423: CRASH wnhen I close it.... added

#7 - 2018-11-12 08:31 PM - Jürgen Fischer

- Duplicated by Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#8 - 2018-11-12 08:39 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
